summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2013-06-14 07:32:45 +0100
committerLars Wirzenius <liw@liw.fi>2013-06-14 07:32:45 +0100
commit76e347ce72f719a249a9ee72fbcc5948baafc944 (patch)
tree4ccdaabe95af754d1e5e9e0a5f336716f5795f3b
parent1fa037e86a9a1edad3a5e2bef3b15f61104ae714 (diff)
downloadjenkinstool-76e347ce72f719a249a9ee72fbcc5948baafc944.tar.gz
Add script to merge .changes files for Debian uploads
-rwxr-xr-xmerge21
1 files changed, 21 insertions, 0 deletions
diff --git a/merge b/merge
new file mode 100755
index 0000000..56b80cd
--- /dev/null
+++ b/merge
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+# Merge all the source and binary .changes files for an upload to
+# Debian unstable.
+
+set -eu
+
+
+is_for_unstable()
+{
+ grep '^Distribution: unstable$' "$1" > /dev/null
+}
+
+for candidate in "$@"
+do
+ if is_for_unstable "$candidate"
+ then
+ printf '%s\0' "$candidate"
+ fi
+done |
+xargs -0 mergechanges -f